
Redmine - Defect #4849

Could not upload picture into existing issue

2010-02-15 13:36 - Andrew Rudenko

Status: Closed Start date: 2010-02-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

1. Create an issue

2. Update the issue but add a picture this time

Actual Results:

Uploaded file size is 0 bytes in ./files/ directory.

Picture is added twice 3202 

there is RackMultipart file left in the /tmp directory of my system 

redmine@redmine.org ~ $ ls -l /tmp

-rw------- 1 redmine redmine 1424 Feb 15 13:19 RackMultipart.15052.0

Note: It is OK if add picture while creating a new issue.

I'm on Redmine 0.9.2.devel.3434 (PostgreSQL)

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /var/redmine

Environment               production

Database adapter          postgresql

Database schema version   20091227112908

About your Redmine plugins

Redmine Wiki Extensions plugin   0.2.0

Redmine Code Review plugin       0.2.9.3

History

#1 - 2010-02-15 13:50 - Andrew Rudenko

it is from log file while submitting attachment:

"attachments"=>{"1"=>{"file"=>#<File:/tmp/RackMultipart20100215-27685-6392x6-0>, "description"=>""}}

 and it is directory listing: 

-rw------- 1 redmine redmine 1424 Feb 15 14:37 RackMultipart20100215-27685-6392x6-0

 p.s. Apache run under apache:apache user, but the file in tmp directory has 600 permissions. I am not sure but it can be the reason.

2024-05-05 1/2



#2 - 2010-02-15 15:34 - Andrew Rudenko

I'm sorry to send this issue.

The problem was because of duplicated lines in app/controllers/issues_controller.rb

+      attachments = attach_files(@issue, params[:attachments])

+      attachments.each {|a| journal.details << JournalDetail.new(:property => 'attachment', :prop_key => a.id, :value => a.filename)}

I've merged it wrongly last time so I got two duplicated file names and zero file size.

Close it please as INVALID.

#3 - 2010-02-15 16:17 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Invalid

#4 - 2011-10-25 13:07 - Shon Dunham

SPAM
